{{- partial "load-photoswipe-theme.html" . }}

{{ if .IsHome }}
  {{ if .Site.Params.homeTitle }}{{ $.Scratch.Set "title" .Site.Params.homeTitle }}{{ else }}{{ $.Scratch.Set "title" .Site.Title }}{{ end }}
  {{ if .Site.Params.subtitle }}{{ $.Scratch.Set "subtitle" .Site.Params.subtitle }}{{ end }}
  {{ if .Site.Params.bigimg }}{{ $.Scratch.Set "bigimg" .Site.Params.bigimg }}{{ end }}
{{ else }}
  {{ $.Scratch.Set "title" .Title }}
  {{ if .Params.subtitle }}{{ $.Scratch.Set "subtitle" .Params.subtitle }}{{ end }}
  {{ if .Params.bigimg }}{{ $.Scratch.Set "bigimg" .Params.bigimg }}{{ end }}
{{ end }}
{{ $bigimg := $.Scratch.Get "bigimg" }}
{{ $title := $.Scratch.Get "title" }}
{{ $subtitle := $.Scratch.Get "subtitle" }}

<header class="intro-header {{ if $bigimg }}has-img{{ end }} pt-2 pt-md-5">
  <div class="container">

  {{ if or $bigimg $title }}
    {{ if $bigimg }}
    <div id="header-big-imgs" data-num-img={{len $bigimg}} 
      {{range $i, $img := $bigimg}}
        {{ if (fileExists $img.src)}} 
          data-img-src-{{add $i 1}}="{{$img.src | absURL }}" 
        {{else}}
          data-img-src-{{add $i 1}}="{{$img.src}}" 
        {{end}}
        {{ if $img.desc}}data-img-desc-{{add $i 1}}="{{$img.desc}}"{{end}}
      {{end}}>
    </div>
    {{ end }}

    {{ if $bigimg }}
    <div class="big-img">
      {{ $subtitle := $.Scratch.Get "subtitle" }}
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="page-heading">
              <h1>{{ with $.Scratch.Get "title" }}{{.}}{{ else }}<br/>{{ end }}</h1>
                {{ if $subtitle }}
                  {{ if eq .Type "page" }}
                    {{/*  <hr class="small">  */}}
                    <span class="page-subheading">{{ $subtitle }}</span>
                  {{ else }}
                    <h2 class="page-subheading">{{ $subtitle }}</h2>
                  {{ end }}
                {{end}}
                {{ if eq .Type "post" }}
                  {{ partial "post_meta.html" . }}
                {{ end }}
            </div>
          </div>
        </div>
      </div>
      <span class="img-desc" style="display: inline;"></span>
    </div>
    {{end}}

    {{ if in .Params.tags "paper" }}
    {{/*  ---- PUBLICATION PAGE ---- */}}
    <section class="text-md-center">
      {{ if eq .Type "list" }}
      <h1 class="font-weight-light">{{ if .Data.Singular }}#{{ end }}{{ .Title }}</h1>
      {{ else }}
      <h1 class="font-weight-light">{{ with $title }}{{.}}{{ else }}<br/>{{ end }}</h1>
      {{ end }}
      {{ if $subtitle }}
      <h2 class="h4 font-weight-light mt-0 mb-4" >{{ $subtitle }}</h2>
      {{ end }}
      {{if .Params.authors}}
      <h3 class="h5">by {{ .Params.authors }}</h4>
      {{end}}
      {{if .Params.publishedin}}
      <h4 class="h6 font-italic">Published in {{ .Params.publishedin }}</h4>
      {{end}}
    </section>

    {{else if in .Params.tags "team"}}
    {{/*  ---- TEAM MEMBER PAGE ---- */}}
    <div class="row">  
      <div class="col-12 col-md-3 mb-5 mb-md-0 text-center">
        <div class="col-6 col-sm-7 col-md-12 mx-auto">
          {{ if .Params.image }}
          <img src="{{.Params.image}}" alt="{{ .Title }}" class="img-shadow rounded-circle"/>
          {{ else }}
          <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Crystal_Clear_kdm_user_female.svg/128px-Crystal_Clear_kdm_user_female.svg.png" class="img-title img-shadow rounded-circle"/>
          {{end}}
        </div>
      </div>

      <div class="col-12 col-md-9">

        {{ if eq .Type "list" }}
          <h1>{{ if .Data.Singular }}#{{ end }}{{ .Title }}</h1>
        {{ else }}
          <h1 class="font-weight-light mb-0">{{ with $title }}{{.}}{{ else }}<br/>{{ end }}</h1>
        {{ end }}
        {{ if .Params.affiliation }}
          <h2 class="font-weight-light mt-0">{{ .Params.affiliation }}</h2>
        {{ end }}
        
        <ul class="list-unstyled">
          {{ if .Params.interests}}
          <li><strong>Professional interests:</strong> {{ .Params.interests }}</li>
          {{ end }}
          {{ if .Params.email}}
          <li><strong>Email:</strong> <a href="mailto:{{.Params.email}}">{{ .Params.email }}</a></li>
          {{ end }}
          {{ if .Params.phone}}
          <!-- <li><strong>Phone:</strong> <a href="mailto:{{.Params.email}}">{{ .Params.phone }}</a></li> -->
          {{ end }}
          {{ if .Params.webpage}}
          <li><strong>Webpage:</strong> <a href="{{.Params.webpage}}">{{ .Params.webpage }}</a></li>
          {{ end }}
          {{ if .Params.location}}
          <li><strong>Location:</strong> {{ .Params.location }}</li>
          {{ end }}
        </ul>
      </div>
    </div>

    {{ else if in .Params.tags "project" }}
    {{/*  ---- PROJECT PAGE ---- */}}
    <section>
      {{/*  Project title  */}}
      <div class="row">
        <div class="col-md-12">
          <div class="page-heading text-center">
            {{ if eq .Type "list" }}
              <h1>{{ if .Data.Singular }}#{{ end }}{{ .Title }}</h1>
            {{ else }}
              <h1>{{ with $title }}{{.}}{{ else }}<br/>{{ end }}</h1>
            {{ end }}
            {{ if $subtitle }}
                <h3 class="page-subheading" >{{ $subtitle }}</h3>
            {{ end }}
            {{if .Params.authors}}
              <h4 class="page-authors" >by {{ .Params.authors }}</h4>
            {{end}}
          </div>
        </div>
      </div>

      {{/*  Project infos  */}}
      <div class="d-flex justify-content-center mt-3 mt-sm-4">
        <div>
          <p class="h3 font-weight-bold mt-0">Project info</p>
          <ul class="list-unstyled mb-0">
            {{ if .Params.consortium}}
            <li class="h5"><strong>Consortium:</strong> {{.Page.Params.consortium}}</li>
            {{ end }}
            {{ if .Params.funding}}
            <li class="h5"><strong>Funding:</strong> {{.Page.Params.funding}}</li>
            {{ end }}
            {{ if .Params.start}}
            <li class="h5"><strong>Duration:</strong> {{.Page.Params.start}} - {{ default " ongoing "  .Page.Params.end}}</li>
            {{ end }}
          </ul>
        </div>
      </div>
    </section>
    
    {{ else if in .Params.tags "collaboration" }}
    {{/*  ---- COLLABORATION PAGE ---- */}}
    <section>
      {{/*  Collaboration title   */}}
      <div class="row">
        <div class="col-md-12">
          <div class="page-heading text-center">
            {{ if eq true .Params.show_title}}
              {{ if eq .Type "list" }}
                <h1>{{ if .Data.Singular }}#{{ end }}{{ .Title }}</h1>
              {{ else }}
                <h1>{{ with $title }}{{.}}{{ else }}<br/>{{ end }}</h1>
              {{ end }}
              {{ if $subtitle }}
                  <h3 class="page-subheading" >{{ $subtitle }}</h3>
              {{ end }}
              {{if .Params.authors}}
                <h4 class="page-authors" >by {{ .Params.authors }}</h4>
              {{end}}
            {{end}}
          </div>
        </div>
      </div>

      {{/*  Logo  */}}
      <div class="row">
        <div class="col-8 col-md-4 mx-auto text-center">
          {{ if .Params.image}}
            <img src="{{.Params.image}}" class="mw-100"/>
          {{ end }}
        </div>
      </div>
      
      {{/*  Collaboration infos  */}}
      <div class="d-flex justify-content-center mt-3 mt-sm-4">
        <ul class="list-unstyled mb-0">
          {{ if .Params.consortium}}
          <li class="h5"><strong>Consortium:</strong> {{.Page.Params.consortium}}</li>
          {{ end }}
          {{ if .Params.funding}}
          <li class="h5"><strong>Funding:</strong> {{.Page.Params.funding}}</li>
          {{ end }}
          {{ if .Params.duration}}
          <li class="h5"><strong>Duration:</strong> {{.Page.Params.duration}}</li>
          {{ end }}
        </ul>
      </div>
    </section>

    {{ else if in .Params.tags "job" }}
    <section>
      {{/*  Job title  */}}
      <div class="row">
        <div class="col-md-12">
          <div class="paper-heading text-center">
            {{ if eq .Type "list" }}
              <h1>{{ if .Data.Singular }}#{{ end }}{{ .Title }}</h1>
            {{ else }}
              <h1>{{ with $title }}{{.}}{{ else }}<br/>{{ end }}</h1>
            {{ end }}
            {{ if $subtitle }}
              <h3 class="page-subheading" >{{ $subtitle }}</h#>
            {{ end }}
            {{if .Params.authors}}
              <h4 class="page-authors" >by {{ .Params.authors }}</h4>
            {{end}}
          </div>
        </div>
      </div>

      {{/*  Job infos  */}}
      <div class="d-flex justify-content-center mt-3 mt-sm-4">
        <ul class="list-unstyled mb-0">
          {{ if .Params.type}}
          <li class="h5"><strong>Position type:</strong> {{.Page.Params.type}}</li>
          {{ end }}
          {{ if .Params.duration}}
          <li class="h5"><strong>Duration:</strong> {{.Page.Params.duration}}</li>
          {{ end }}
          {{ if .Params.info_url}}
          {{ $parsed_url := urls.Parse .Page.Params.info_url }}
          <li class="h5"><strong>More info:</strong> <a href="{{.Page.Params.info_url}}">{{cond (gt (len $parsed_url.Host) 0) $parsed_url.Host .Page.Params.info_url }}</a></li>
          {{ end }}
          <li class="h5"><strong>Status:</strong> {{cond .Page.Params.active "active" ("<f class='text-danger'>inactive</f>" | safeHTML)}}</li>
        </ul>
      </div>
    </section>
    {{else}}
    
    <div class="row">
      <div class="col-md-12">
        <div class="page-heading">
          {{ if eq .Type "list" }}
            <h1>{{ if .Data.Singular }}#{{ end }}{{ .Title }}</h1>
          {{ else }}
            <h1>{{ with $title }}{{.}}{{ else }}<br/>{{ end }}</h1>
          {{ end }}
          {{ if ne .Type "post" }}
            {{/*  <hr class="small">  */}}
          {{ end }}
          {{ if $subtitle }}
            {{ if eq .Type "page" }}
              <span class="page-subheading">{{ $subtitle }}</span>
            {{ else }}
              <h3 class="page-subheading">{{ $subtitle }}</h3>
            {{ end }}
          {{ end }}
          {{ if eq .Type "post" }}
            {{ partial "post_meta.html" . }}
          {{ end }}
        </div>
      </div>
    </div>

  {{ end }}
  {{end}}
  </div>
</header>
